# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AMTAR = @AMTAR@
AR = @AR@
AS = @AS@
AWK = @AWK@
CC = @CC@
CDLBINPATH = @CDLBINPATH@
CDLINCPATH = @CDLINCPATH@
CDLLIBFLAG = @CDLLIBFLAG@
CDLPATH = @CDLPATH@
CDLRTS = @CDLRTS@
CFLAGS = @CFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
DBG_OPT = @DBG_OPT@
DEBUG_LEX_OPT = @DEBUG_LEX_OPT@
DEBUG_REGEXP_OPT = @DEBUG_REGEXP_OPT@
DEBUG_RTS_OPT = @DEBUG_RTS_OPT@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
GCJ = @GCJ@
GCJFLAGS = @GCJFLAGS@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LEX = @LEX@
LIBTOOL = @LIBTOOL@
LIBTOOL_DEPS = @LIBTOOL_DEPS@
LN_S = @LN_S@
MACHDEPHOSTVAL = @MACHDEPHOSTVAL@
MEMLOG_OPT = @MEMLOG_OPT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
RC = @RC@
STRIP = @STRIP@
VERSION = @VERSION@
YACC = @YACC@
am__include = @am__include@
am__quote = @am__quote@
install_sh = @install_sh@
my_cdlbinpath = @my_cdlbinpath@

lib_LTLIBRARIES = libabase.la

include_HEADERS = abase_debug.h \
		  abase_porting.h \
                  abase_error.h \
		  abase_fileutil.h \
		  abase_memalloc.h \
		  abase_mm_alloc.h \
		  abase_dstring.h \
		  abase_meminfo.h \
		  abase_repr.h


libabase_la_SOURCES = abase_error.h abase_error.c \
		      abase_memalloc.h abase_memalloc.c \
		      abase_mm_alloc.h abase_mm_alloc.c \
		      abase_fileutil.h abase_fileutil.c \
		      abase_dstring.h abase_dstring.c \
		      abase_meminfo.h abase_meminfo.c


VERSION_FLAGS = $(subst .,:,$(VERSION))

libabase_la_LDFLAGS = -version-info $(VERSION_FLAGS)

libabase_la_CFLAGS = @DBG_OPT@ @MEMLOG_OPT@ -Wall $(AM_CFLAGS) -DVERSION=\"${VERSION}\"

EXTRA_PROGRAMS = abase_test

abase_test_SOURCES = abase_test.c

abase_test_DEPENDENCIES = libabase.la

abase_test_LDADD = libabase.la

CLEANFILES = $(EXTRA_PROGRAMS)
subdir = libabase/src
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

libabase_la_LIBADD =
am_libabase_la_OBJECTS = libabase_la-abase_error.lo \
	libabase_la-abase_memalloc.lo libabase_la-abase_mm_alloc.lo \
	libabase_la-abase_fileutil.lo libabase_la-abase_dstring.lo \
	libabase_la-abase_meminfo.lo
libabase_la_OBJECTS = $(am_libabase_la_OBJECTS)
EXTRA_PROGRAMS = abase_test$(EXEEXT)
am_abase_test_OBJECTS = abase_test.$(OBJEXT)
abase_test_OBJECTS = $(am_abase_test_OBJECTS)
abase_test_LDFLAGS =

DEFS = @DEFS@
DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
depcomp = $(SHELL) $(top_srcdir)/depcomp
@AMDEP_TRUE@DEP_FILES = $(DEPDIR)/abase_test.Po \
@AMDEP_TRUE@	$(DEPDIR)/libabase_la-abase_dstring.Plo \
@AMDEP_TRUE@	$(DEPDIR)/libabase_la-abase_error.Plo \
@AMDEP_TRUE@	$(DEPDIR)/libabase_la-abase_fileutil.Plo \
@AMDEP_TRUE@	$(DEPDIR)/libabase_la-abase_memalloc.Plo \
@AMDEP_TRUE@	$(DEPDIR)/libabase_la-abase_meminfo.Plo \
@AMDEP_TRUE@	$(DEPDIR)/libabase_la-abase_mm_alloc.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libabase_la_SOURCES) $(abase_test_SOURCES)
HEADERS = $(include_HEADERS)

DIST_COMMON = $(include_HEADERS) Makefile.am Makefile.in
SOURCES = $(libabase_la_SOURCES) $(abase_test_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  libabase/src/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
libabase_la-abase_error.lo: abase_error.c
libabase_la-abase_memalloc.lo: abase_memalloc.c
libabase_la-abase_mm_alloc.lo: abase_mm_alloc.c
libabase_la-abase_fileutil.lo: abase_fileutil.c
libabase_la-abase_dstring.lo: abase_dstring.c
libabase_la-abase_meminfo.lo: abase_meminfo.c
libabase.la: $(libabase_la_OBJECTS) $(libabase_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libabase_la_LDFLAGS) $(libabase_la_OBJECTS) $(libabase_la_LIBADD) $(LIBS)
abase_test$(EXEEXT): $(abase_test_OBJECTS) $(abase_test_DEPENDENCIES) 
	@rm -f abase_test$(EXEEXT)
	$(LINK) $(abase_test_LDFLAGS) $(abase_test_OBJECTS) $(abase_test_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/abase_test.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/libabase_la-abase_dstring.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/libabase_la-abase_error.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/libabase_la-abase_fileutil.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/libabase_la-abase_memalloc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/libabase_la-abase_meminfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/libabase_la-abase_mm_alloc.Plo@am__quote@

distclean-depend:
	-rm -rf $(DEPDIR)

.c.o:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `test -f $< || echo '$(srcdir)/'`$<

.c.obj:
@AMDEP_TRUE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(COMPILE) -c `cygpath -w $<`

.c.lo:
@AMDEP_TRUE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<

libabase_la-abase_error.o: abase_error.c
@AMDEP_TRUE@	source='abase_error.c' object='libabase_la-abase_error.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_error.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_error.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_error.o `test -f abase_error.c || echo '$(srcdir)/'`abase_error.c

libabase_la-abase_error.obj: abase_error.c
@AMDEP_TRUE@	source='abase_error.c' object='libabase_la-abase_error.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_error.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_error.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_error.obj `cygpath -w abase_error.c`

libabase_la-abase_error.lo: abase_error.c
@AMDEP_TRUE@	source='abase_error.c' object='libabase_la-abase_error.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_error.Plo' tmpdepfile='$(DEPDIR)/libabase_la-abase_error.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_error.lo `test -f abase_error.c || echo '$(srcdir)/'`abase_error.c

libabase_la-abase_memalloc.o: abase_memalloc.c
@AMDEP_TRUE@	source='abase_memalloc.c' object='libabase_la-abase_memalloc.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_memalloc.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_memalloc.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_memalloc.o `test -f abase_memalloc.c || echo '$(srcdir)/'`abase_memalloc.c

libabase_la-abase_memalloc.obj: abase_memalloc.c
@AMDEP_TRUE@	source='abase_memalloc.c' object='libabase_la-abase_memalloc.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_memalloc.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_memalloc.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_memalloc.obj `cygpath -w abase_memalloc.c`

libabase_la-abase_memalloc.lo: abase_memalloc.c
@AMDEP_TRUE@	source='abase_memalloc.c' object='libabase_la-abase_memalloc.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_memalloc.Plo' tmpdepfile='$(DEPDIR)/libabase_la-abase_memalloc.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_memalloc.lo `test -f abase_memalloc.c || echo '$(srcdir)/'`abase_memalloc.c

libabase_la-abase_mm_alloc.o: abase_mm_alloc.c
@AMDEP_TRUE@	source='abase_mm_alloc.c' object='libabase_la-abase_mm_alloc.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_mm_alloc.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_mm_alloc.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_mm_alloc.o `test -f abase_mm_alloc.c || echo '$(srcdir)/'`abase_mm_alloc.c

libabase_la-abase_mm_alloc.obj: abase_mm_alloc.c
@AMDEP_TRUE@	source='abase_mm_alloc.c' object='libabase_la-abase_mm_alloc.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_mm_alloc.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_mm_alloc.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_mm_alloc.obj `cygpath -w abase_mm_alloc.c`

libabase_la-abase_mm_alloc.lo: abase_mm_alloc.c
@AMDEP_TRUE@	source='abase_mm_alloc.c' object='libabase_la-abase_mm_alloc.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_mm_alloc.Plo' tmpdepfile='$(DEPDIR)/libabase_la-abase_mm_alloc.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_mm_alloc.lo `test -f abase_mm_alloc.c || echo '$(srcdir)/'`abase_mm_alloc.c

libabase_la-abase_fileutil.o: abase_fileutil.c
@AMDEP_TRUE@	source='abase_fileutil.c' object='libabase_la-abase_fileutil.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_fileutil.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_fileutil.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_fileutil.o `test -f abase_fileutil.c || echo '$(srcdir)/'`abase_fileutil.c

libabase_la-abase_fileutil.obj: abase_fileutil.c
@AMDEP_TRUE@	source='abase_fileutil.c' object='libabase_la-abase_fileutil.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_fileutil.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_fileutil.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_fileutil.obj `cygpath -w abase_fileutil.c`

libabase_la-abase_fileutil.lo: abase_fileutil.c
@AMDEP_TRUE@	source='abase_fileutil.c' object='libabase_la-abase_fileutil.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_fileutil.Plo' tmpdepfile='$(DEPDIR)/libabase_la-abase_fileutil.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_fileutil.lo `test -f abase_fileutil.c || echo '$(srcdir)/'`abase_fileutil.c

libabase_la-abase_dstring.o: abase_dstring.c
@AMDEP_TRUE@	source='abase_dstring.c' object='libabase_la-abase_dstring.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_dstring.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_dstring.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_dstring.o `test -f abase_dstring.c || echo '$(srcdir)/'`abase_dstring.c

libabase_la-abase_dstring.obj: abase_dstring.c
@AMDEP_TRUE@	source='abase_dstring.c' object='libabase_la-abase_dstring.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_dstring.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_dstring.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_dstring.obj `cygpath -w abase_dstring.c`

libabase_la-abase_dstring.lo: abase_dstring.c
@AMDEP_TRUE@	source='abase_dstring.c' object='libabase_la-abase_dstring.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_dstring.Plo' tmpdepfile='$(DEPDIR)/libabase_la-abase_dstring.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_dstring.lo `test -f abase_dstring.c || echo '$(srcdir)/'`abase_dstring.c

libabase_la-abase_meminfo.o: abase_meminfo.c
@AMDEP_TRUE@	source='abase_meminfo.c' object='libabase_la-abase_meminfo.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_meminfo.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_meminfo.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_meminfo.o `test -f abase_meminfo.c || echo '$(srcdir)/'`abase_meminfo.c

libabase_la-abase_meminfo.obj: abase_meminfo.c
@AMDEP_TRUE@	source='abase_meminfo.c' object='libabase_la-abase_meminfo.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_meminfo.Po' tmpdepfile='$(DEPDIR)/libabase_la-abase_meminfo.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_meminfo.obj `cygpath -w abase_meminfo.c`

libabase_la-abase_meminfo.lo: abase_meminfo.c
@AMDEP_TRUE@	source='abase_meminfo.c' object='libabase_la-abase_meminfo.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@	depfile='$(DEPDIR)/libabase_la-abase_meminfo.Plo' tmpdepfile='$(DEPDIR)/libabase_la-abase_meminfo.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libabase_la_CFLAGS) $(CFLAGS) -c -o libabase_la-abase_meminfo.lo `test -f abase_meminfo.c || echo '$(srcdir)/'`abase_meminfo.c
CCDEPMODE = @CCDEPMODE@
uninstall-info-am:
install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(INSTALL_HEADER) $$d$$p $(DESTDIR)$(includedir)/$$f"; \
	  $(INSTALL_HEADER) $$d$$p $(DESTDIR)$(includedir)/$$f; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(includedir)/$$f"; \
	  rm -f $(DESTDIR)$(includedir)/$$f; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

GTAGS:
	here=`CDPATH=: && cd $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH

DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(includedir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-includeHEADERS

install-exec-am: install-libLTLIBRARIES

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

uninstall-am: uninstall-includeHEADERS uninstall-info-am \
	uninstall-libLTLIBRARIES

.PHONY: GTAGS all all-am check check-am clean clean-generic \
	clean-libLTLIBRARIES clean-libtool distclean distclean-compile \
	distclean-depend distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-includeHEADERS install-info \
	install-info-am install-libLTLIBRARIES install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	tags uninstall uninstall-am uninstall-includeHEADERS \
	uninstall-info-am uninstall-libLTLIBRARIES


test: $(EXTRA_PROGRAMS)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
